[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Character' (#rtl)

# IsSurrogatePair

Alias for TCharacter.IsSurrogatePair

## Declaration

Source position: character.pas line 166

`function IsSurrogatePair(`
`const AHighSurrogate: UnicodeChar;`
`const ALowSurrogate: UnicodeChar`
`):Boolean; overload; function IsSurrogatePair(`
`const AString: UnicodeString;`
`AIndex: Integer`
`):Boolean; overload;`

## Arguments

`AHighSurrogate` |  | High surrogate character in pair
`ALowSurrogate` |  | Low surrogate character in pair

## Function result

True if AHighSurrogate and ALowSurrogate form a valid Unicode surrogate pair

## Arguments

`AString` |  | String containing UTF-16 encoded characters
`AIndex` |  | Index of UTF16 encoded character in AString to be checked.

## Description

IsSurrogatePair is a shortcut for TCharacter.IsSurrogatePair

## See also

TCharacter.IsSurrogatePair |  | Check if a pair of characters is a set of high/low surrogate characters